<template>
    <div class="addItem">
        <input type="text" v-model="item.nombre"/>
        <font-awesome-icon
            icon="plus-square"
            @click="addItem()"
            :class="[item.nombre ? 'activo' : 'inactivo', 'plus']"
        />
    </div>
</template>

<script>
export default {
    data: function(){
        return {
            item:{
                nombre:""
            }
        }
    },
    methods:{
        addItem() {
            if(this.item.nombre == ""){
                return;
            }

            axios.post('api/item/store', {
                item: this.item
            })
            .then(response => {
                if(response.status == 201) {
                    this.item.nombre = "";
                    this.$emit('reloadlist')
                }
            })
            .catch(error => {
                console.log(error);
            })
        }
    }
}
</script>

<style scoped>
    .addItem{
        display: flex;
        justify-content: center;
        align-items: center;
    }

    input{
        background: #f7f7f7;
        border: 0;
        outline: none;
        padding: 5px;
        margin-right: 10px;
        width: 100%;
    }

    .plus{
        font-size: 20px;
    }

    .activo{
        color: #00ce25;
    }

    .inactivo{
        color: #999999;
    }
</style>